searchNodes=[{"type":"module","title":"HKDF","doc":"Provides a simple Hashed Message Authentication Code (HMAC)-based key derivation function (HKDF). Process Keys are derived in two steps: Extract - a pseudorandom key is extracted from an input key material and optional salt. Expand - an output key material of a specific length is expanded from hashes of the pseudorandom key and an optional info message. Source Defined in rfc 5859","ref":"HKDF.html"},{"type":"function","title":"HKDF.derive/5","doc":"Derives a key of a specific length using the specified hash function. An optional salt (extract phase) and/or info message (expand phase) can be supplied. Example iex&gt; HKDF . derive ( :sha256 , &quot;some input&quot; , 16 ) &lt;&lt; 47 , 231 , 129 , 75 , 82 , 47 , 198 , 78 , 55 , 31 , 167 , 66 , 15 , 128 , 63 , 243 &gt;&gt; iex&gt; HKDF . derive ( :sha256 , &quot;some input&quot; , 16 , &quot;salt&quot; , &quot;secret message&quot; ) &lt;&lt; 28 , 213 , 201 , 204 , 16 , 226 , 160 , 120 , 69 , 47 , 46 , 58 , 15 , 255 , 54 , 52 &gt;&gt;","ref":"HKDF.html#derive/5"},{"type":"function","title":"HKDF.expand/4","doc":"Expands a pseudorandom key to an output key material of a defined length. Example iex(1)&gt; prk = HKDF . extract ( :sha256 , &quot;some input&quot; , &quot;salt&quot; ) iex(2)&gt; HKDF . expand ( :sha256 , prk , 16 ) &lt;&lt; 227 , 13 , 8 , 99 , 198 , 12 , 203 , 171 , 124 , 253 , 132 , 131 , 59 , 202 , 95 , 24 &gt;&gt; iex(1)&gt; prk = HKDF . extract ( :sha256 , &quot;some input&quot; , &quot;salt&quot; ) iex(2)&gt; HKDF . expand ( :sha256 , prk , 16 , &quot;secret message&quot; ) &lt;&lt; 28 , 213 , 201 , 204 , 16 , 226 , 160 , 120 , 69 , 47 , 46 , 58 , 15 , 255 , 54 , 52 &gt;&gt;","ref":"HKDF.html#expand/4"},{"type":"function","title":"HKDF.extract/3","doc":"Extract a psuedorandom key from an input key material. Example iex&gt; HKDF . extract ( :sha256 , &quot;some input&quot; ) &lt;&lt; 130 , 6 , 35 , 29 , 160 , 13 , 100 , 90 , 127 , 71 , 104 , 2 , 139 , 88 , 204 , 124 , 201 , 141 , 22 , 223 , 95 , 189 , 60 , 4 , 147 , 6 , 19 , 196 , 66 , 139 , 65 , 153 &gt;&gt; iex&gt; HKDF . extract ( :sha256 , &quot;some input&quot; , &quot;salt&quot; ) &lt;&lt; 165 , 68 , 136 , 223 , 19 , 149 , 73 , 161 , 172 , 133 , 175 , 129 , 14 , 46 , 132 , 27 , 219 , 137 , 155 , 191 , 199 , 9 , 251 , 100 , 155 , 173 , 33 , 97 , 201 , 250 , 19 , 92 &gt;&gt;","ref":"HKDF.html#extract/3"},{"type":"type","title":"HKDF.compatibility_only_hash/0","doc":"The compatibility_only_hash/0 algorithms are recommended only for compatibility with existing applications.","ref":"HKDF.html#t:compatibility_only_hash/0"},{"type":"type","title":"HKDF.hash_fun/0","doc":"","ref":"HKDF.html#t:hash_fun/0"},{"type":"type","title":"HKDF.info/0","doc":"","ref":"HKDF.html#t:info/0"},{"type":"type","title":"HKDF.input_key_material/0","doc":"","ref":"HKDF.html#t:input_key_material/0"},{"type":"type","title":"HKDF.length/0","doc":"","ref":"HKDF.html#t:length/0"},{"type":"type","title":"HKDF.output_key_material/0","doc":"","ref":"HKDF.html#t:output_key_material/0"},{"type":"type","title":"HKDF.pseudorandom_key/0","doc":"","ref":"HKDF.html#t:pseudorandom_key/0"},{"type":"type","title":"HKDF.salt/0","doc":"","ref":"HKDF.html#t:salt/0"},{"type":"type","title":"HKDF.sha1/0","doc":"","ref":"HKDF.html#t:sha1/0"},{"type":"type","title":"HKDF.sha2/0","doc":"","ref":"HKDF.html#t:sha2/0"},{"type":"type","title":"HKDF.sha3/0","doc":"","ref":"HKDF.html#t:sha3/0"}]